Tspi_Context_Create(3)

NAME
Tspi_Context_Create - create a TSP context handle.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Context_Create(TSS_HCONTEXT* phContext);

DESCRIPTION

Tspi_Context_Create creates a handle to a new context object. The context is then used by other API functions to track resources related to it.

PARAMETERS

  phContext
Receives the handle to the created context object.

RETURN CODES

Tspi_Context_Create returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INTERNAL_ERROR - An internal error occurred in the TSS.

CONFORMING TO

Tspi_Context_Create conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Context_Close(3), Tspi_Context_Connect(3).